summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRaymaekers Luca <raymaekers.luca@gmail.com>2023-10-23 11:12:32 +0200
committerRaymaekers Luca <raymaekers.luca@gmail.com>2023-10-23 11:12:32 +0200
commit6a9e90f61b77c976a9247a0f9fe3aa5e988529de (patch)
tree3e301d81b93a176556175a1e6f2d595c8d43e7d1
parentf42e9d9d2717d33e7619e73d8a456e54eb1d5e5a (diff)
parente8ca2914556f5256badc186444a278a7dee48b22 (diff)
Merge branch 'main' of db:dotfiles
-rwxr-xr-xbin/common/ytclipo4
-rw-r--r--config/essentials/zsh/.zshrc17
-rw-r--r--config/essentials/zsh/aliases.sh1
3 files changed, 11 insertions, 11 deletions
diff --git a/bin/common/ytclipo b/bin/common/ytclipo
index 712b068..5d86c3f 100755
--- a/bin/common/ytclipo
+++ b/bin/common/ytclipo
@@ -15,7 +15,7 @@ inp="$1"
# works when link is from yt-local
inp="https://youtu.be/$(echo "$inp" | sed 's/.*\(.\{11\}\)$/\1/')"
>&2 printf "inp: %s\n" "$inp"
-notify-send "ytclipo" "<b>downloading</b> $inp" || :
+notify-send "ytclipo" "downloading <i>$inp</i>" || :
yt-dlp "$inp" \
--restrict-filenames \
@@ -24,4 +24,4 @@ yt-dlp "$inp" \
-S "res:1080" \
-P "$HOME/vids/youtube/" \
-o "%(channel)s - %(title)s.%(ext)s"
-notify-send "ytclipo" "<b>ytclipo</b><br>finished downloading." || :
+notify-send "ytclipo" "finished downloading." || :
diff --git a/config/essentials/zsh/.zshrc b/config/essentials/zsh/.zshrc
index 7fa61c7..3f2d7f4 100644
--- a/config/essentials/zsh/.zshrc
+++ b/config/essentials/zsh/.zshrc
@@ -1,15 +1,14 @@
#!/bin/zsh
-if [[ "/dev/tty1" = "$TTY" || "/dev/tty2" = "$TTY" ]] && [[ "$(id -u)" -ne 0 ]]
+if [ "$(id -u)" -ne 0 ]
then
- clear
- if [ "/dev/tty1" = "$TTY" ]
- then
- exec startw > /dev/null 2>&1
- else
- exec startx > /dev/null 2>&1
- fi
- exit
+ [ "${TTY%%tty*}" = '/dev/' ] && clear
+ case "${TTY#/dev/tty}" in
+ 1) exec startdwl > /dev/null 2>&1 ;;
+ 2) exec startx > /dev/null 2>&1 ;;
+ 3) exec startw > /dev/null 2>&1 ;;
+ *) false ;;
+ esac && exit
fi
autoload -U select-word-style
diff --git a/config/essentials/zsh/aliases.sh b/config/essentials/zsh/aliases.sh
index b61e38c..3bc0000 100644
--- a/config/essentials/zsh/aliases.sh
+++ b/config/essentials/zsh/aliases.sh
@@ -186,6 +186,7 @@ alias cdzot='mkdir -p /tmp/zottesite && cd /tmp/zottesite'
alias gdate='date +%y_%m_%d-%T'
alias tpid='tail -f /dev/null --pid'
alias pwdcp='pwd | clipp'
+alias gw="grep -ri"
alias vbm='vboxmanage'
alias vbls='vbm list vms'